<%@ page import="com.ether.ClimatoReference" %>
<%@ page import="com.ether.InstrumentalFunction" %>
<%@ page import="com.ether.SpectralUnit" %>
<%@ page import="com.ether.WebException" %>
<%@ page import="com.ether.YesNo" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="tiles" uri="/WEB-INF/tlds/struts-tiles.tld" %>
<%@ taglib prefix="ether" tagdir="/WEB-INF/tags" %>

<tiles:insert page="/resources/templates/templateEther.jsp" flush="true">

    <tiles:put name="insertCss" type="string">
        <ether:htmlCss cssFile="select"/>
        <ether:htmlCss cssFile="calendar/anytime"/>
        <ether:htmlCss cssFile="jquery-ui-1.8.16.custom/jquery-ui-1.8.16.custom"/>
    </tiles:put>

    <tiles:put name="insertJsOrJsp" type="string">
        <ether:htmlJs jsFile="library/jquery.json-2.3"/>
        <ether:htmlJs jsFile="classesForJQuery/Select"/>
        <ether:htmlJs jsFile="calendar/anytime"/>
        <ether:htmlJsp jspFile="formTapas_script"/>
        <ether:htmlJs jsFile="tools/controls"/>
        <ether:htmlJs jsFile="classesForJQuery/Tab"/>
    </tiles:put>

    <tiles:put name="title" type="string"><spring:message code="app.title"/> - <spring:message code="title.form"/></tiles:put>
    <!-- file d'ariane -->
    <tiles:put name="nav" type="string"><a href=""><spring:message code="label.form"/></a></tiles:put>


    <%-- ****************** CONTENT ****************** --%>
    <tiles:put name="bodytitle" type="string"><spring:message code="title.form"/></tiles:put>

    <tiles:put name="body" type="string">

        <div class="containerTabs" id="tab"></div>

        <div class="containerForm" id="formulaire"></div>


        <script type="text/javascript">
            var tapasTexts = $A( "" );

            tapasTexts["label.submitButton"] = '<spring:message code="label.submitButton"/>';
            tapasTexts["label.addButton"] = '<spring:message code="label.addButton"/>';

            tapasTexts["<%=WebException.WebCode.ERROR_JSON_TAPAS_IS_NULL%>"] = "<spring:message code="error.ERROR_JSON_TAPAS_IS_NULL"/>";
            tapasTexts["<%=SpectralUnit.NM_STANDARD%>"] = "<spring:message code="label.spectralUnit.NM_STANDARD"/>";
            tapasTexts["<%=SpectralUnit.NM_VACUUM%>"] = "<spring:message code="label.spectralUnit.NM_VACUUM"/>";
            tapasTexts["<%=SpectralUnit.CM%>"] = "<spring:message code="label.spectralUnit.CM"/>";
            tapasTexts["<%=InstrumentalFunction.NONE%>"] = "<spring:message code="text.NONE"/>";
            tapasTexts["<%=InstrumentalFunction.GAUSSIAN%>"] = "<spring:message code="label.instrumentalFunction.GAUSSIAN"/>";
            tapasTexts["<%=ClimatoReference.TROPICAL%>"] = "<spring:message code="label.climatoReference.TROPICAL"/>";
            tapasTexts["<%=ClimatoReference.MEDIUM_LATITUDE_SUMMER%>"] = "<spring:message code="label.climatoReference.MEDIUM_LATITUDE_SUMMER"/>";
            tapasTexts["<%=ClimatoReference.MEDIUM_LATITUDE_WINTER%>"] = "<spring:message code="label.climatoReference.MEDIUM_LATITUDE_WINTER"/>";
            tapasTexts["<%=ClimatoReference.SUBARCTIC_SUMMER%>"] = "<spring:message code="label.climatoReference.SUBARCTIC_SUMMER"/>";
            tapasTexts["<%=ClimatoReference.SUBARCTIC_WINTER%>"] = "<spring:message code="label.climatoReference.SUBARCTIC_WINTER"/>";
            tapasTexts["<%=ClimatoReference.US_STANDARD_1976%>"] = "<spring:message code="label.climatoReference.US_STANDARD_1976"/>";

            tapasTexts["<%=YesNo.YES%>"] = "<spring:message code="app.YES"/>";
            tapasTexts["<%=YesNo.NO%>"] = "<spring:message code="app.NO"/>";


            tapasTexts["confirm"] = "<spring:message code="label.confirm"/>";

            tapasTexts["label.ira"] = "<spring:message code="label.ira"/>";
            tapasTexts["label.ide"] = "<spring:message code="label.ide"/>";
            tapasTexts["label.iza"] = "<spring:message code="label.iza"/>";
            tapasTexts["label.spectralUnit"] = "<spring:message code="label.spectralUnit"/>";
            tapasTexts["label.spectralRange"] = "<spring:message code="label.spectralRange"/>";
            tapasTexts["label.to"] = "<spring:message code="label.to"/>";
            tapasTexts["label.observatory"] = "<spring:message code="label.observatory"/>";
            tapasTexts["label.preferences"] = "<spring:message code="label.preferences"/>";
            tapasTexts["label.resolution"] = "<spring:message code="label.resolution"/>";
            tapasTexts["label.ratio"] = "<spring:message code="label.ratio"/>";
            tapasTexts["label.ifunction"] = "<spring:message code="label.ifunction"/>";
            tapasTexts["label.climato"] = "<spring:message code="label.climato"/>";
            tapasTexts["label.datemesure"] = "<spring:message code="label.datemesure"/>";

            tapasTexts["label.format"] = "<spring:message code="label.format"/>";
            tapasTexts["label.era"] = "<spring:message code="label.era"/>";
            tapasTexts["label.eo2"] = "<spring:message code="label.eo2"/>";
            tapasTexts["label.eh2o"] = "<spring:message code="label.eh2o"/>";
            tapasTexts["label.eco2"] = "<spring:message code="label.eco2"/>";
            tapasTexts["label.eo3"] = "<spring:message code="label.eo3"/>";
            tapasTexts["text.select"] = "<spring:message code="text.select"/>";
            tapasTexts["text.toselect"] = "<spring:message code="text.toselect"/>";


            tapasTexts["label.datemesure"] = "<spring:message code="label.datemesure"/>";

            tapasTexts["text.validnum"] = "<spring:message code="text.validnum"/>";
            tapasTexts["text.badvalue"] = "<spring:message code="text.badvalue"/>";

            tapasTexts["label.requete"] = "<spring:message code="label.requete"/>";

            tapasTexts["label.delButton"] = "<spring:message code="label.delButton"/>";
            tapasTexts["label.confirm.del"] = "<spring:message code="label.confirm.del"/>";
            tapasTexts["text.erreur.saisie"] = "<spring:message code="text.erreur.saisie"/>";
            tapasTexts["label.title.add"] = "<spring:message code="label.title.add"/>";
            tapasTexts["label.title.del"] = "<spring:message code="label.title.del"/>";

            var interfaceTapas = new InterfaceTapas( ${jSonFileFormats}, ${jSonYesNos}, ${jSonObservatories}, ${jSonSpectralUnits}, ${jSonInstrumentalFunctions}, ${jSonClimatoReferences} );

        </script>

    </tiles:put>

</tiles:insert>
